Skip to main content
`Ctrl`+`K`

# DMViewFromOptions

View a `DM` in a particular way based on a request in the options database

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMViewFromOptions(DM dm, PetscObject obj, const char name[])

Collective

## Input Parameters

- dm - the `DM` object

- obj - optional object that provides the prefix for the options database (if `NULL` then the prefix in obj is used)

- name - option string that is used to activate viewing

## Note

See `PetscObjectViewFromOptions()` for a list of values that can be provided in the options database to determine how the `DM` is viewed

## See Also

DM Basics, `DM`, `DMView()`, `PetscObjectViewFromOptions()`, `DMCreate()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/impls/plex/tutorials/ex13.c
src/dm/impls/plex/tutorials/ex14.c
src/dm/impls/plex/tutorials/ex10.c
src/dm/impls/plex/tutorials/ex7.c
src/dm/field/tutorials/ex1.c
src/dm/impls/forest/tutorials/ex1.c
src/dm/dt/dualspace/impls/lagrange/tutorials/ex2.c
src/dm/impls/plex/tutorials/ex6.c
src/dm/impls/plex/tutorials/ex9.c
src/dm/impls/plex/tutorials/ex1f90.F90

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages